## Apache Zeta Components Manual :: Docs For Class ezcDocumentBBCodePlugin

### Document::ezcDocumentBBCodePlugin

### Class ezcDocumentBBCodePlugin

Visitor for bbcode plugins

Source for this file: /Document/src/document/bbcode/plugin.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentBBCodeUrlPlugin | Visitor for bbcode url tags
ezcDocumentBBCodeNoMarkupPlugin | Visitor for bbcode emphasis tags
ezcDocumentBBCodeEmailPlugin | Visitor for bbcode email tags
ezcDocumentBBCodeImagePlugin | Visitor for bbcode url tags
ezcDocumentBBCodeQuotePlugin | Visitor for bbcode emphasis tags
ezcDocumentBBCodeEmphasisPlugin | Visitor for bbcode emphasis tags

### Method Summary

protected void | `getText( $node )` Recursively extract text from node
public abstract void | `toDocbook( $visitor , $root , $node )` Convert a BBCode tag into Docbook

### Methods

#### getText

void getText( ezcDocumentBBCodeNode $node )

Recursively extract text from node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcDocumentBBCodeNode |

#### toDocbook

void toDocbook( ezcDocumentBBCodeVisitor $visitor , $root , ezcDocumentBBCodeNode $node )

Convert a BBCode tag into Docbook

Convert the given node into a Docbook structure, in the given root. For child elements in the node you may call the visitNode() method of the provided visitor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitor` | ezcDocumentBBCodeVisitor |
`$root` | DOMElement |
`$node` | ezcDocumentBBCodeNode |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentBBCodeUrlPlugin::toDocbook()` | Convert a BBCode tag into Docbook
`ezcDocumentBBCodeNoMarkupPlugin::toDocbook()` | Convert a BBCode tag into Docbook
`ezcDocumentBBCodeEmailPlugin::toDocbook()` | Convert a BBCode tag into Docbook
`ezcDocumentBBCodeImagePlugin::toDocbook()` | Convert a BBCode tag into Docbook
`ezcDocumentBBCodeQuotePlugin::toDocbook()` | Convert a BBCode tag into Docbook
`ezcDocumentBBCodeEmphasisPlugin::toDocbook()` | Convert a BBCode tag into Docbook

Documentation generated by phpDocumentor 1.4.3